MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027736Open CASCADE[OCCT] OCCT:Samplespublic2016-08-02 13:442018-06-29 21:19
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0027736: Samples - rectangle selection issues within MFC sample Viewer3d
DescriptionRectangle selection regarding others samples is very inarticulate and flickering is present.
It is necessary to implement usage OCC_BaseView::drawRectangle().
Samples must be updated to use AIS_RubberBand
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0025338closedbugmaster Open CASCADE MFC standard samples: 3D selection rectangle blinking. 
related to 0027543closedbugmaster Community Samples - flickering when view is resized in MFC samples 

-  Notes
(0074883)
git (administrator)
2018-03-25 11:53

Branch CR27736 has been created by kgv.

SHA-1: d6095eff64c02691bed66d500eb5cabd10e574e6


Detailed log of new commits:

Author: kgv
Date: Sun Mar 25 11:53:09 2018 +0300

    0027736: Samples - rectangle selection issues within MFC sample Viewer3d
    
    CViewer3dView, CAnimationView3D, COCCDemoView now use AIS_RubberBand.
(0074884)
kgv (developer)
2018-03-25 11:53
edited on: 2018-03-25 12:21

Patch is ready for review.

http://jenkins-test-11.nnov.opencascade.com/view/CR27736-master-KGV/ [^]

(0074918)
san (developer)
2018-03-26 13:34

Branch CR27736 reviewed without remarks, ready for testing.
(0074932)
bugmaster (administrator)
2018-03-26 15:58

Combination -
OCCT branch : CR27736 SHA - d6095eff64c02691bed66d500eb5cabd10e574e6
Products branch : master SHA - d1433da51be7aa6ea5f04a20d332d5b18f879d1f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings
(0075297)
git (administrator)
2018-04-11 11:00

Branch CR27736 has been deleted by kgv.

SHA-1: d6095eff64c02691bed66d500eb5cabd10e574e6

- Related Changesets
occt: master 060811b1
Timestamp: 2018-03-25 08:53:09
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027736: Samples - rectangle selection issues within MFC sample Viewer3d

CViewer3dView, CAnimationView3D, COCCDemoView now use AIS_RubberBand.
mod - samples/mfc/standard/04_Viewer3d/src/Viewer3dView.cpp Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/Viewer3dView.h Diff ] File ]
mod - samples/mfc/standard/09_Animation/src/AnimationView3D.cpp Diff ] File ]
mod - samples/mfc/standard/09_Animation/src/AnimationView3D.h Diff ] File ]
mod - samples/mfc/standard/10_Convert/src/WNT/OCCDemoView.cpp Diff ] File ]
mod - samples/mfc/standard/10_Convert/src/WNT/OCCDemoView.h Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-08-02 13:44 bugmaster New Issue
2016-08-02 13:44 bugmaster Assigned To => kgv
2016-08-02 13:45 bugmaster Status new => assigned
2016-08-02 13:46 kgv Summary Promlem with rectangle selection in MFV sample Viewer3d => Samples - rectangle selection issues within MFC sample Viewer3d
2016-08-02 14:45 kgv Relationship added related to 0025338
2016-08-02 14:45 kgv Relationship added related to 0027543
2016-11-03 17:38 abv Target Version 7.1.0 => 7.2.0
2017-07-20 11:40 kgv Target Version 7.2.0 => 7.3.0
2018-03-24 10:31 abv Target Version 7.3.0 => 7.4.0*
2018-03-25 11:53 git Note Added: 0074883
2018-03-25 11:53 kgv Note Added: 0074884
2018-03-25 11:53 kgv Assigned To kgv => san
2018-03-25 11:53 kgv Status assigned => resolved
2018-03-25 11:53 kgv Target Version 7.4.0* => 7.3.0
2018-03-25 12:21 kgv Note Edited: 0074884 View Revisions
2018-03-26 13:34 san Note Added: 0074918
2018-03-26 13:34 san Assigned To san => bugmaster
2018-03-26 13:34 san Status resolved => reviewed
2018-03-26 15:58 bugmaster Note Added: 0074932
2018-03-26 15:58 bugmaster Status reviewed => tested
2018-03-30 20:09 bugmaster Test case number => Not needed
2018-04-11 07:49 bugmaster Changeset attached => occt master 060811b1
2018-04-11 07:49 bugmaster Status tested => verified
2018-04-11 07:49 bugmaster Resolution open => fixed
2018-04-11 11:00 git Note Added: 0075297
2018-06-29 21:14 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker